# IRiWindowsManager Interface Reference

Inherits IDispatch.

List of all members.

## Public Member Functions
HRESULT | CreateMainFrame (void)
HRESULT | CreateWindowFromCLSID ([in] BSTR bsCLSID1D,[in] BSTR bsCLSID2D,[in] BSTR bsCLSID3D,[in] BSTR bsRootName,[in] BOOL bOpen)
HRESULT | WindowResized ([in] BSTR bsViewerNodeName,[in] VARIANT vLeft,[in] VARIANT vTop,[in] VARIANT vWidth,[in] VARIANT vHeight)
HRESULT | OpenToolbarFromPrototype ([in] BSTR bsPrototypeName,[in] VARIANT vLeft,[in] VARIANT vTop,[in] VARIANT vWidth,[in] VARIANT vHeight)
HRESULT | OpenToolHistoryWindow (void)
HRESULT | OpenHistoryWindow (void)
HRESULT | OpenObjectHistoryWindow (void)
HRESULT | OpenAboutBox (void)
HRESULT | SetFramePropertiesRect ([in] BSTR bstrWinID,[in] LONG lPosX,[in] LONG lPosY,[in] LONG lWidth,[in] LONG lHeigh)
HRESULT | DockPanelToStackView ([in] BSTR bsStackViewRoot,[in] BSTR bsPanelRoot,[in] RtLong lPivotIndex)
HRESULT | GetWorkWindow ([out, retval] BSTR *pbsNode)
HRESULT | ActivateWorkWindow ([in] BSTR bsNode)

## Detailed Description

The IRiWindowsManager interface provides methods to .
Root-level name in the scripting engine's name space: WindowsManager

## Member Function Documentation

HRESULT IRiWindowsManager::CreateMainFrame | ( | void |  | ) |

Create Windows manager node

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::CreateWindowFromCLSID | ( | [in] BSTR | bsCLSID1D,
|  | [in] BSTR | bsCLSID2D,
|  | [in] BSTR | bsCLSID3D,
|  | [in] BSTR | bsRootName,
|  | [in] BOOL | bOpen |
| ) |  |  |

Create frame window from CLID of viewer

Parameters:

  | bsCLSID1D | [in] - CLSID of viewer for 1D aspect, if value is equal "default" Script editor CLSID is used
  | bsCLSID2D | [in] - CLSID of viewer for 2D aspect, if value is equal "default" Link editor CLSID is used
  | bsCLSID3D | [in] - CLSID of viewer for 3D aspect, if value is equal "default" Space 3d, and Modeler CLSID is used
  | bsRootName | [in] - Root node name showed in viewer. Object name which will be entered for newly creating window
  | bOpen | [in] - TRUE/FALSE if creating window should be also visually opened or it should be only created as object encapsulated inside current layout

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::WindowResized | ( | [in] BSTR | bsViewerNodeName,
|  | [in] VARIANT | vLeft,
|  | [in] VARIANT | vTop,
|  | [in] VARIANT | vWidth,
|  | [in] VARIANT | vHeight |
| ) |  |  |

Create frame window from CLID of viewer

Parameters:

  | bsCLSID1D | [in] - CLSID of viewer for 1D aspect, if value is equal "default" Script editor CLSID is used
  | bsCLSID2D | [in] - CLSID of viewer for 2D aspect, if value is equal "default" Link editor CLSID is used
  | bsCLSID3D | [in] - CLSID of viewer for 3D aspect, if value is equal "default" Space 3d, and Modeler CLSID is used
  | bsRootName | [in] - Root node name showed in viewer. Object name which will be entered for newly creating window
  | bOpen | [in] - TRUE/FALSE if creating window should be also visually opened or it should be only created as object encapsulated inside current layout

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::OpenToolbarFromPrototype | ( | [in] BSTR | bsPrototypeName,
|  | [in] VARIANT | vLeft,
|  | [in] VARIANT | vTop,
|  | [in] VARIANT | vWidth,
|  | [in] VARIANT | vHeight |
| ) |  |  |

Open Toolbar from prototype at position defined by top and left in screen coordinates and

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::OpenToolHistoryWindow | ( | void |  | ) |

Open Stack view with Tool aspect. Not supported in tS 7.6 version

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::OpenHistoryWindow | ( | void |  | ) |

Open Stack view with default aspects (Library, Panels, Settings)

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::OpenObjectHistoryWindow | ( | void |  | ) |

Open stack view with Objects aspect. Not supported in tS 7.6 version

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::OpenAboutBox | ( | void |  | ) |

Opens About box window

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::SetFramePropertiesRect | ( | [in] BSTR | bstrWinID,
|  | [in] LONG | lPosX,
|  | [in] LONG | lPosY,
|  | [in] LONG | lWidth,
|  | [in] LONG | lHeigh |
| ) |  |  |

Sets frame window properties of frame window specified by its ID.

Parameters:

  | bstrWinID | [in] - iid of frame window which properties should be retrieved
  | lPosX | [in] - Position of frame window. In pixels. In primary monitor coordinates.
  | lPosY | [in] - Position of frame window. In pixels. In primary monitor coordinates.
  | lWidth | [in] - Width of frame window. In pixels.
  | lHeigh | [in] - Height of frame window. In pixels.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::DockPanelToStackView | ( | [in] BSTR | bsStackViewRoot,
|  | [in] BSTR | bsPanelRoot,
|  | [in] RtLong | lPivotIndex |
| ) |  |  |

Dock panel to stack view.

Parameters:

  | bsStackViewRoot | [in] Root of stack view. To this stack view will by panel docked.
  | bsPanelRoot | [in] Root of docked panel. Panel will be docked after panel specified by pivot index.
  | lPivotIndex | [in] Index of pivot panel. if index is -1. Panel will be added to the bottom of stack.

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::GetWorkWindow | ( | [out, retval] BSTR * | pbsNode | ) |

Get node of the current active working frame

Parameters:

  | pbsNode | [out] Returns full string identification of the currently active work window

Returns:
  Standard HRESULT processing can be applied to the result.

HRESULT IRiWindowsManager::ActivateWorkWindow | ( | [in] BSTR | bsNode | ) |

Activate a work window

Parameters:

  | bsNode | [in] The frame node that you want to activate

Returns:
  S_OK if activated, S_FALSE if not found, or other standard HRESULT result.